Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3893)
@@ -9,6 +9,9 @@
 	private static final String BUNDLE_NAME = "org.txm.rcp.messages.messages"; //$NON-NLS-1$
 	
 	
+	public static String theAvailableContexts;
+
+
 	public static String theP0FileAlreadyExistsWouldYouLikeToReplaceIt;
 	
 	public static String theP0directoryNotABinaryCorpus;
@@ -86,6 +89,9 @@
 	
 	public static String activateProxyService;
 	
+	public static String addAPropertyTest;
+
+
 	public static String addAWord;
 	
 	public static String addAXsltParameter;
@@ -97,7 +103,16 @@
 	public static String advanced;
 	
 	
+	public static String all;
+
+
 	public static String allCriteria;
+
+
+	public static String allPropertyTestsAreVerified;
+
+
+	public static String allTheCorpusTextsWillBeUpdated;
 	
 	public static String alwaysSaveBeforeLaunching;
 	
@@ -156,6 +171,9 @@
 	
 	public static String canceling_2;
 	
+	public static String cannotAddPartP0IntoP1;
+
+
 	public static String cannotAskForTheSimpleTabWhenTheUserHasSelectedTheAdvancedTab;
 	
 	public static String cannotComputeCooccurrencesWithTheCurrentSelectionP0;
@@ -167,6 +185,9 @@
 	public static String cannotReadTheFileP0;
 	
 	
+	public static String cannotSetIntegerFieldWithDefaultPropertiesValue;
+
+
 	public static String cannotStartImportConfigurationNoSourceFolderSelected;
 	
 	public static String cantLoadPropertiesFromCorpusP0ColonP1;
@@ -182,6 +203,12 @@
 	public static String checkForUpdatesAtStartup;
 	
 	public static String checkingForExistingWorkspaceDirectory;
+
+
+	public static String checkToAddAStructureConstraint;
+
+
+	public static String checkToTargetThisWordInTheQuery;
 	
 	public static String chooseOutfile;
 	
@@ -202,11 +229,17 @@
 	public static String columnsSeparatedBy;
 	
 	public static String commands;
+
+
+	public static String commaSeparatedList;
 	
 	public static String common_areYouSure;
 	
 	public static String common_beginning;
 	
+	public static String common_delete;
+
+
 	public static String common_displayOptions;
 	
 	
@@ -227,6 +260,12 @@
 	
 	
 	public static String concordanceContextStructureLimits;
+
+
+	public static String concordances;
+
+
+	public static String concordancesSubSection;
 	
 	public static String configurationOfTheUserInterfaceLanguage;
 	
@@ -239,12 +278,21 @@
 	public static String contextColon;
 	
 	public static String contextsDisplayOptions;
+
+
+	public static String contextSize;
 	
 	public static String coocMatrixColonP0;
 	
 	public static String coocMatrixParameters;
 	
 	public static String copiedLinesColonP0;
+
+
+	public static String copyP0;
+
+
+	public static String copyP0AndItsChildren;
 	
 	
 	public static String corpus;
@@ -261,8 +309,14 @@
 	public static String couldNotFindDirectoryColonP0;
 	
 	public static String couldNotFindTextP0InCorpusP1;
+
+
+	public static String couldNotGetFileSize;
 	
 	public static String couldNotLaunchTheInternalWebBrowserYouMustSetThatParameterInThePreferencesMenuColonGeneralSupWebNavigator;
+
+
+	public static String couldNotOpenTheParameterDialogP0;
 	
 	public static String couldNotReadInstallPreferencesFileP0;
 	
@@ -291,12 +345,18 @@
 	public static String dDotMandatoryField;
 	
 	public static String defaultLanguage;
+
+
+	public static String defaultReferences;
 	
 	public static String defineAndUseACompositeSorter;
 	
 	public static String deleteParameter;
 	
 	
+	public static String deleting;
+
+
 	public static String deletingP0;
 	
 	public static String deletingSeveralResultsP0Continue;
@@ -306,9 +366,15 @@
 	public static String description;
 	
 	public static String descriptionOfTheP0CorpusP1;
+
+
+	public static String deselectAll;
 	
 	public static String desktopIsNotSupportedFatal;
 	
+	public static String disableTheWarningDialogWhenTestingTXM;
+
+
 	public static String displayFont;
 	
 	public static String displayInFullText;
@@ -328,6 +394,9 @@
 	public static String doneColonP0ItemsAndP1Occ;
 	
 	
+	public static String done;
+
+
 	public static String doneInP0;
 	
 	public static String doneInP0P1;
@@ -339,6 +408,9 @@
 	public static String dontSaveAndRun;
 	
 	public static String downloading;
+
+
+	public static String downloadingTheP0File;
 	
 	public static String eRROR;
 	
@@ -365,7 +437,7 @@
 	public static String equalsTo;
 	
 	public static String error;
-	
+
 	public static String errorColonCorporaDirectoryDoesntExistColon;
 	
 	public static String errorColonCurrentGroovyScriptDirectoryDoesNotExistColon;
@@ -407,11 +479,20 @@
 	public static String errorWhileCreatingAPartitionColonP0;
 	
 	public static String errorWhileDeletingP0ColonP1;
+
+
+	public static String errorWhileExportingQueriesP0;
 	
 	public static String errorWhileFetchingUpdatesP0;
 	
 	public static String errorWhileGettingCurrentPositionValueColon;
+
+
+	public static String errorWhileGettingResultInformationsP0;
 	
+	public static String errorWhileLoadingCalculusP0P1;
+
+
 	public static String errorWhileLoadingTXMP0;
 	
 	public static String errorWhileOpeningBibliographicRecordP0WithURLEqualsP1;
@@ -436,6 +517,9 @@
 	public static String errorTheProvidedInstallDirectoryDoesNotExistAborting;
 	
 	public static String errorTheProvidedTXMHOMEDirectoryDoesNotExistsP0Aborting;
+
+
+	public static String errorTheResultWasNotCloned;
 	
 	public static String executingP0;
 	
@@ -451,6 +535,9 @@
 	public static String executionOfP0;
 	
 	
+	public static String expertMode;
+
+
 	public static String exportAll;
 	
 	public static String exportColonCantCreateFileP0ColonP1;
@@ -460,6 +547,9 @@
 	public static String exportSettings;
 	
 	public static String exporting;
+
+
+	public static String exportingCalculusP0;
 	
 	public static String exportingP0;
 	
@@ -478,8 +568,6 @@
 	
 	public static String failedToDelete;
 	
-	public static String failedToDeleteFileP0;
-	
 	public static String failedToDeleteSubcorpusP0;
 	
 	public static String failedToExecuteTheP0ScriptColonP1;
@@ -499,6 +587,9 @@
 	public static String failedToLoadCorpusFromDirectoryColonP0WeCannotFindTheNecessaryComponents;
 	
 	public static String failedToLoadCorpusP0;
+
+
+	public static String failedToLoadPreviousValuesFromP0P1;
 	
 	
 	public static String failedToRename;
@@ -506,6 +597,9 @@
 	public static String failedToSaveAsP0ErrorP1;
 	
 	public static String failedToSavePreferencesColonP0;
+
+
+	public static String failToMoveTheP0FileToThxTMPDirectoryP1;
 	
 	public static String fileColon;
 	
@@ -537,6 +631,9 @@
 	public static String goToTXMHome;
 	
 	public static String goToTXMHome_2;
+
+
+	public static String goToTXMHomeDirectory;
 	
 	public static String graphicsKeyboardShortcuts;
 	
@@ -565,11 +662,17 @@
 	public static String info_txmIsReady;
 	
 	
+	public static String initialisationErrorP0;
+
+
 	public static String initializationOfThePlatform;
 	
 	public static String initializingPlatform;
 	
 	public static String initializingToolboxEnginesAndCorpora;
+
+
+	public static String initialZoom;
 	
 	public static String installPathColonP0;
 	
@@ -602,6 +705,9 @@
 	public static String listOfTagsEncodingTheOutsidetextNoStructureOrWordContentIndexedNoStructureOrWordContentEditedInTXM;
 	
 	public static String listOfTagsEncodingTheOutsidetextToEditNoStructureOrWordContentIndexedStructureAndWordContentEditedInTXM;
+
+
+	public static String listOfValuesToSelect;
 	
 	public static String loadingBinaryCorpus;
 	
@@ -614,6 +720,9 @@
 	public static String theP0BinaryCorpusVersionIsP1;
 	
 	public static String loadingViews;
+
+
+	public static String loadTheP0CorpusFile;
 	
 	public static String lockRCPWorkspace;
 	
@@ -684,6 +793,9 @@
 	
 	public static String newName;
 	
+	public static String newParentTypeP0IsDifferentFromTheOldParentTypeP1;
+
+
 	public static String newPart;
 	
 	public static String nextPage;
@@ -695,6 +807,9 @@
 	public static String noActivePage;
 	
 	public static String noActiveWorkbenchWindow;
+
+
+	public static String noCharactersSelected;
 	
 	public static String noDefaultEditionPageFoundForElementColon;
 	
@@ -724,6 +839,12 @@
 	public static String numberOfNodesP0;
 	
 	public static String objColon;
+
+
+	public static String oneConfigure;
+
+
+	public static String onlyTheModifiedCorpusTextsAreUpdated;
 	
 	public static String openTheQueryAssistant;
 	
@@ -734,6 +855,8 @@
 	public static String options;
 	
 	public static String outfileColonNone;
+
+	public static String outputFile;
 	
 	public static String outsidetext;
 	
@@ -771,6 +894,9 @@
 	public static String printTheStacktrace;
 	
 	public static String propertiesColon;
+
+
+	public static String propertyToTest;
 	
 	public static String punctuations;
 	
@@ -783,10 +909,19 @@
 	public static String queryAssistant;
 	
 	public static String queryCannotBeLeftEmpty;
+
+
+	public static String queryOptions;
+
+
+	public static String quitTXM;
 	
 	public static String ready;
 	
 	public static String readyToShowUpdateUI;
+
+
+	public static String recoveringCorpora;
 	
 	public static String referencesAmpdisplayOptions;
 	
@@ -797,8 +932,14 @@
 	public static String referencesSortOptions;
 	
 	public static String refreshingCorpora;
+
+
+	public static String refreshTheQuery;
 	
 	public static String regexpPatternToHideFiles;
+
+
+	public static String regularExpressionToUse;
 	
 	public static String reload;
 	
@@ -806,6 +947,9 @@
 	
 	public static String removeFromSelection;
 	
+	public static String removeTheLastPropertyTest;
+
+
 	public static String removeTheLastWord;
 	
 	public static String removeUnnecessaryE4Elements;
@@ -817,6 +961,9 @@
 	
 	public static String renamingByColon;
 	
+	public static String resetTheEditors;
+
+
 	public static String resetTheViewColonF5;
 	
 	public static String restartTXM;
@@ -841,6 +988,9 @@
 	public static String saveBeforeExecution;
 	
 	public static String saveFileBeforeExecution;
+
+
+	public static String saveParameters;
 	
 	public static String saveScript;
 	
@@ -855,6 +1005,9 @@
 	public static String select;
 	
 	public static String selectACompositeSorter;
+
+
+	public static String selectAll;
 	
 	public static String selectAProperty;
 	
@@ -865,8 +1018,14 @@
 	public static String selectTheSourceDirectory;
 	
 	public static String selectValuesToAssignColon;
+
+
+	public static String selectValuesUsingARegularExpression;
 	
 	public static String selectionIsNotACorpusColon;
+
+
+	public static String selectionMustBeACalculus;
 	
 	public static String separatedByAtLeast0Word;
 	
@@ -882,6 +1041,9 @@
 	
 	public static String shouldNotHappen;
 	
+	public static String showAllFiles;
+
+
 	public static String showAllResultNodesInCorporaView;
 	
 	public static String showExportResultInTheTextEditor;
@@ -889,6 +1051,9 @@
 	public static String showHiddenFiles;
 	
 	public static String showHideCommandParameters;
+
+
+	public static String showTheModuleScripts;
 	
 	public static String simple;
 	
@@ -929,6 +1094,9 @@
 	public static String startingUpdateFetch;
 	
 	public static String startsWith;
+
+
+	public static String startToImport;
 	
 	public static String startupFailedPleaseCheckTXMPreferencesInTheFileSupPreferencesMenuOrContactTxmusersMailingListMenuColonHelpSup;
 	
@@ -953,6 +1121,9 @@
 	public static String tXMiniColon;
 	
 	
+	public static String testToDo;
+
+
 	public static String textEditorColonP0EncodingFoundP1;
 	
 	public static String textID;
@@ -964,12 +1135,21 @@
 	public static String textualPlanes;
 	
 	public static String theCorpusAndTheCorpusP0WillBeDeleted;
+
+
+	public static String theDefaultReferencesDisplayedInTheEtc;
 	
 	public static String theErrorIsColon;
 	
 	public static String theFileP0DoesNotExist;
 	
 	public static String theInputP0CannotBeDisplayed;
+
+
+	public static String theMaximumNumberOfColumnShownInTables;
+
+
+	public static String theMaximumNumberOfQueryStoredInTheQueryHistory;
 	
 	public static String theNumberOfEditorsP0AndNumberOfInputsP1MustBeEqual;
 	
@@ -992,6 +1172,12 @@
 	public static String thisFileIsNotATXMFileColonP0;
 	
 	public static String thisFileIsNotMeantToRunTXMPleaseConsultTXMUserManual;
+
+
+	public static String thisWillCloseAllEditors;
+
+
+	public static String thisWillRestoreTheViewAndCloseEditors;
 	
 	public static String titleColon;
 	
@@ -1006,10 +1192,19 @@
 	public static String tokenizerParameterFileColon;
 	
 	public static String toolboxReady;
+
+
+	public static String tooltipProperties;
 	
 	public static String unknowedWidgetNameColon;
+
+
+	public static String unmanagedElementPolicy;
 	
 	public static String updateCanceled;
+
+
+	public static String updated;
 	
 	public static String updateLevel;
 	
@@ -1033,6 +1228,12 @@
 	public static String warning_popup_editedResultsWillBelostP0;
 	
 	public static String warning_popup_theP0HasBeenEditedItsChangesWillBeLost;
+
+
+	public static String warningFailedToStoreDefaultMacroValuesAtP0;
+
+
+	public static String warningImageNotFoundAtP0;
 	
 	public static String withinAContextOf;
 	
@@ -1048,7 +1249,13 @@
 	
 	public static String youMustSelectAtLeast2Comparators;
 	
+	public static String zoomIn;
+
+
 	public static String zoomInAmpoutColonMouseWheelORShiftPlusRightMousePlusDrag;
+
+
+	public static String zoomOut;
 	
 	public static String zoomToSelectionColonCtrlPlusLeftMousePlusdrag;
 	
@@ -1067,9 +1274,18 @@
 	public static String corporaWillBeRestoredInTheFollowingOrderCorporaAlreadyRestoredWillNotBeReplaced;
 	
 	public static String selectThecorporaSetsToRestore;
+
+
+	public static String selectTheImportSourceDirectory;
 	
 	public static String importDone;
 	
+	public static String importingAP0From;
+
+
+	public static String importingTheCalculus;
+
+
 	public static String updateDone;
 	
 	public static String gnuLicenceLink;
@@ -1077,9 +1293,15 @@
 	public static String gnuLicenceName;
 	
 	public static String iAcceptTheLicenceAndAgreeToQuoteTXMInMyWork;
+
+
+	public static String ignoreTheElementsAreNotWrittenEtc;
 	
 	public static String seeTheQuoteSectionIn;
 	
+	public static String TabPattern;
+
+
 	public static String TheAnnotateImportParameterHasBeenActivatedSinceTreeTaggerIsInstalled;
 
 	public static String TheAnnotateImportParameterWasNotActivatedSinceTreeTaggerIsNotInstalled;
@@ -1213,12 +1435,22 @@
 	public static String LoadBinaryCorporaDirectory_selectTheTXMCorpusToLoadInP0;
 	
 	public static String selectAnotherTXMCorporaToRestore;
+
+
+	public static String selectBetweenTheFollowingValues;
 	
 	public static String resetAll;
 
+
+	public static String resetPerspective;
+
+	public static String resetValues;
+
 	public static String retokenizePreEncodedWords;
 	
 	public static String password;
+
+	public static String pastingP0ToP1;
 	
 	public static String login;
 	
@@ -1265,6 +1497,9 @@
 	public static String theP0CorpusWillBeRestarted;
 	
 	public static String theP0CorpusWillBeCreated;
+
+
+	public static String theWordPropertyValue;
 	
 	public static String SourceDirectoryPage_14;
 	
@@ -1388,6 +1623,9 @@
 	public static String tabulation;
 	public static String nothing;
 
+
+	public static String nothingToPaste;
+
 	public static String OK;
 
 	public static String OKOpenTheDiagnosticFile;
@@ -1435,9 +1673,18 @@
 
 	public static String YouReGoingToLostThoseModificationsIfNotAlreadyExportedContinue;
 
+	public static String open;
+
+
 	public static String openingP0etc;
 
 	public static String corpusToProcess;
+
+
+	public static String cutP0;
+
+
+	public static String cutP0AndItsChildren;
 	
 	public static String textsToProcess;
 
@@ -1445,8 +1692,17 @@
 
 	public static String textLanguage;
 
+
+	public static String twoGenerateTheQuery;
+
+
+	public static String txmWontDeleteFilesOutOfTXMWorkingDirectory;
+
 	public static String selectEngine;
 
+
+	public static String selectUsingAListOfValues;
+
 	public static String PropertiesOfTheCompoundFormForStructurePropertiesAndOfTheSimpleFormForWordProperties;
 
 	public static String youAreUsingAnAlphaBetaVersionOfTXMItIsNotRecommendedToUseItForYourWork;
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/FileTreeLabelProvider.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/FileTreeLabelProvider.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/FileTreeLabelProvider.java	(revision 3893)
@@ -69,42 +69,42 @@
 		}
 		else if (f.isFile()) {
 			String fname = f.getName().toLowerCase();
-			if (fname.matches(".*\\.(mp4|avi|mkv|ogv|mpg|webm)")) {
+			if (fname.matches(".*\\.(mp4|avi|mkv|ogv|mpg|webm)")) { //$NON-NLS-1$
 				imageDescriptor = AbstractUIPlugin
 						.imageDescriptorFromPlugin(Application.PLUGIN_ID,
 								IImageKeys.FILE_VIDEO);
 			}
-			else if (fname.endsWith(".txm")) {
+			else if (fname.endsWith(".txm")) { //$NON-NLS-1$
 				imageDescriptor = AbstractUIPlugin
 						.imageDescriptorFromPlugin(Application.PLUGIN_ID,
 								IImageKeys.TXM1616);
 			}
-			else if (fname.matches(".*\\.(mp3|ogg|wav|flac)")) {
+			else if (fname.matches(".*\\.(mp3|ogg|wav|flac)")) { //$NON-NLS-1$
 				imageDescriptor = AbstractUIPlugin
 						.imageDescriptorFromPlugin(Application.PLUGIN_ID,
 								IImageKeys.FILE_AUDIO);
 			}
-			else if (fname.matches(".*\\.(png|jpg|jpeg|bmp|gif|svg)")) {
+			else if (fname.matches(".*\\.(png|jpg|jpeg|bmp|gif|svg)")) { //$NON-NLS-1$
 				imageDescriptor = AbstractUIPlugin
 						.imageDescriptorFromPlugin(Application.PLUGIN_ID,
 								IImageKeys.FILE_IMAGE);
 			}
-			else if (fname.endsWith("Macro.groovy")) {
+			else if (fname.endsWith("Macro.groovy")) { //$NON-NLS-1$
 				imageDescriptor = AbstractUIPlugin
 						.imageDescriptorFromPlugin(Application.PLUGIN_ID,
 								IImageKeys.SCRIPT_RUN);
 			}
-			else if (fname.matches(".*\\.(groovy|R|py|pl|java|rb|sh|bat|js|c|cpp|xml|xsl|css)")) {
+			else if (fname.matches(".*\\.(groovy|R|py|pl|java|rb|sh|bat|js|c|cpp|xml|xsl|css)")) { //$NON-NLS-1$
 				imageDescriptor = AbstractUIPlugin
 						.imageDescriptorFromPlugin(Application.PLUGIN_ID,
 								IImageKeys.SCRIPT);
 			}
-			else if (fname.matches(".*\\.(doc.|od.|pdf|rtf)")) {
+			else if (fname.matches(".*\\.(doc.|od.|pdf|rtf)")) { //$NON-NLS-1$
 				imageDescriptor = AbstractUIPlugin
 						.imageDescriptorFromPlugin(Application.PLUGIN_ID,
 								IImageKeys.FILE_DOC);
 			}
-			else if (fname.endsWith("html")) {
+			else if (fname.endsWith("html")) { //$NON-NLS-1$
 				imageDescriptor = AbstractUIPlugin
 						.imageDescriptorFromPlugin(Application.PLUGIN_ID,
 								IImageKeys.WORLD);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java	(revision 3893)
@@ -174,7 +174,7 @@
 		parent.setLayout(formLayout);
 		
 		// controles composite
-		GLComposite controls = new GLComposite(parent, SWT.NONE, "buttons");
+		GLComposite controls = new GLComposite(parent, SWT.NONE, "buttons"); //$NON-NLS-1$
 		
 		FormData controlsData = new FormData();
 		controlsData.top = new FormAttachment(0);
@@ -249,7 +249,7 @@
 		Button txmHomeBtn = new Button(controls, SWT.NONE);
 		txmHomeBtn.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, false));
 		txmHomeBtn.setImage(IImageKeys.getImage(IImageKeys.TXM1616));
-		txmHomeBtn.setToolTipText("Go to TXM home directory");
+		txmHomeBtn.setToolTipText(TXMUIMessages.goToTXMHomeDirectory);
 		txmHomeBtn.addSelectionListener(new SelectionAdapter() {
 			
 			@Override
@@ -281,7 +281,7 @@
 				File selectedItem = (File) selection.getFirstElement();
 				String ext = FileUtils.getExtension(selectedItem).toLowerCase();
 				if (!selectedItem.isDirectory()) {
-					if (ext.endsWith("html") || ext.endsWith("bmp") || ext.endsWith("png") || ext.endsWith("jpg") || ext.endsWith("gif")) //$NON-NLS-1$
+					if (ext.endsWith("html") || ext.endsWith("bmp") || ext.endsWith("png") || ext.endsWith("jpg") || ext.endsWith("gif")) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 					{
 						OpenBrowser.openfile(selectedItem.getAbsolutePath());
 					}
@@ -292,7 +292,7 @@
 					else if (ext.equals("txm")) //$NON-NLS-1$
 					{
 						MessageBox dialog = new MessageBox(tv.getTree().getShell(), SWT.YES | SWT.NO);
-						dialog.setMessage(NLS.bind("Load the {0} corpus file ?", selectedItem));
+						dialog.setMessage(NLS.bind(TXMUIMessages.loadTheP0CorpusFile, selectedItem));
 						
 						int buttonID = dialog.open();
 						switch (buttonID) {
@@ -311,7 +311,7 @@
 								// does nothing ...
 						}
 					}
-					else if (ext.equals("pdf") || ext.equals("odt") || ext.startsWith("doc")) //$NON-NLS-1$
+					else if (ext.equals("pdf") || ext.equals("odt") || ext.startsWith("doc")) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 					{
 						Program.launch(selectedItem.getAbsolutePath());
 					}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java	(revision 3893)
@@ -228,8 +228,8 @@
 		});
 		
 		all = new Button(controls, SWT.CHECK);
-		all.setText("all");
-		all.setToolTipText("Show all files");
+		all.setText(TXMUIMessages.all);
+		all.setToolTipText(TXMUIMessages.showAllFiles);
 		all.setLayoutData(new GridData());
 		all.addSelectionListener(new SelectionAdapter() {
 			
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 3893)
@@ -376,7 +376,7 @@
 						TXMResult r = ((TXMResult)selectedItem);
 						String mess = null;
 						try {mess = r.getSimpleDetails();}
-						catch(Exception e2) {Log.info("Error while getting result informations: "+e2); Log.printStackTrace(e2);}
+						catch(Exception e2) {Log.info(TXMUIMessages.errorWhileGettingResultInformationsP0+e2); Log.printStackTrace(e2);}
 						
 						if (mess == null) mess = r.getName();
 						StatusLine.setMessage(mess);
@@ -398,7 +398,7 @@
 		for (int i = 0; i < cmds.length; i++) {
 			try {
 				if (cmds[i].getReturnType() != null) { // RCP hack using the command return type to associate the selection class with the command
-					Log.fine("CorporaView.createPartControl(): registering command " + cmds[i].getId() + " for TXMResult of type " + cmds[i].getReturnType().getId() + "."); //$NON-NLS-3$
+					Log.fine("CorporaView.createPartControl(): registering command " + cmds[i].getId() + " for TXMResult of type " + cmds[i].getReturnType().getId() + ".");  //$NON-NLS-1$ //$NON-NLS-2$//$NON-NLS-3$
 					doubleClickInstalledCommands.put(cmds[i].getReturnType().getId(), cmds[i].getId());
 				}
 			}
@@ -477,7 +477,7 @@
 						
 						if (!DeleteObject.askContinueToDelete((IStructuredSelection) sel)) return;
 						
-						JobHandler job = new JobHandler("Deleting", true) {
+						JobHandler job = new JobHandler(TXMUIMessages.deleting, true) {
 							
 							@Override
 							protected IStatus run(IProgressMonitor monitor) {
@@ -646,7 +646,7 @@
 				view = (CorporaView) page.showView(CorporaView.ID);
 			}
 			if (view == null) {
-				System.out.println("Error Unite view not found: " + CorporaView.ID);
+				System.out.println("Error Unite view not found: " + CorporaView.ID); //$NON-NLS-1$
 			} else {
 				view.getSite().getPage().activate(view);
 			}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/wizard/NewCorpusWizard.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/wizard/NewCorpusWizard.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/wizard/NewCorpusWizard.java	(revision 3893)
@@ -12,9 +12,9 @@
 	
 	@Override
 	public void init(IWorkbench workbench, IStructuredSelection selection) {
-		page = new WizardNewProjectCreationPage("Corpus TXM");
-		page.setTitle("Corpus TXM");
-		page.setDescription("select the directory containing the source files");
+		page = new WizardNewProjectCreationPage("Corpus TXM"); //$NON-NLS-1$
+		page.setTitle("Corpus TXM"); //$NON-NLS-1$
+		page.setDescription("select the directory containing the source files"); //$NON-NLS-1$
 		addPage(page);
 	}
 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java	(revision 3893)
@@ -31,6 +31,7 @@
 import org.txm.core.results.TXMResult;
 import org.txm.rcp.editors.ITXMResultEditor;
 import org.txm.rcp.editors.TXMMultiPageEditor;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -335,7 +336,7 @@
 		
 		MUIElement parent = parentPart.getParent();
 		if (parent == null) {
-			Log.warning("Cannot addPart "+partToAdd+" into "+parentPart);
+			Log.warning(TXMUIMessages.cannotAddPartP0IntoP1+partToAdd+" into "+parentPart); //$NON-NLS-2$
 			return;
 		}
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/DownloadJobHandler.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/DownloadJobHandler.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/DownloadJobHandler.java	(revision 3893)
@@ -105,11 +105,11 @@
 				final int contentLength = connection.getContentLength(); 
 
 				if (contentLength == -1) {
-					System.out.println("Could not get file size");
+					System.out.println(TXMUIMessages.couldNotGetFileSize);
 				} else {
 					done = false;
 
-					System.out.print(NLS.bind("Downloading {0} file...", url));
+					System.out.print(NLS.bind(TXMUIMessages.downloadingTheP0File, url));
 					
 //					DownloadJobHandler job = new DownloadJobHandler("Download "+url, outfile, contentLength, done);
 //					job.setUser(true);
@@ -126,7 +126,7 @@
 					writeFile.close();
 					input.close();
 					done = true;
-					System.out.println("Done.");
+					System.out.println(TXMUIMessages.done);
 //					job.done();
 				}
 			}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java	(revision 3893)
@@ -111,7 +111,7 @@
 		}
 		else {
 			Log.warning(
-					"** Error: TXM language configuration could not be set. You can set TXM language by editing HOME/TXM-<version>/.txm/TXM.ini) configuration file by adding '-nl\n<language code>' before the '-vmargs' line.");
+					"** Error: TXM language configuration could not be set. You can set TXM language by editing HOME/TXM-<version>/.txm/TXM.ini) configuration file by adding '-nl\n<language code>' before the '-vmargs' line."); //$NON-NLS-1$
 		}
 		
 		return null;
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/PrintHexacode.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/PrintHexacode.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/PrintHexacode.java	(revision 3893)
@@ -72,7 +72,7 @@
 		try {
 			ISelection isel = te.getTextViewer().getSelection();
 			if (isel.isEmpty()) {
-				Log.info("no charracters selected.");
+				Log.info(TXMUIMessages.noCharactersSelected);
 				return;
 			}
 			
@@ -80,7 +80,7 @@
 				TextSelection tsel = (TextSelection)isel;
 				String text = tsel.getText();
 				if (text.length() == 0) {
-					Log.info("no charracters selected.");
+					Log.info(TXMUIMessages.noCharactersSelected);
 					return;
 				}
 				
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanEditors.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanEditors.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanEditors.java	(revision 3893)
@@ -4,6 +4,7 @@
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.jface.dialogs.MessageDialog;
 import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.rcp.messages.TXMUIMessages;
 
 public class CleanEditors extends AbstractHandler {
 
@@ -12,7 +13,7 @@
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) {
-		if (MessageDialog.openConfirm(HandlerUtil.getActiveShell(event), "Reset the window", "This will will close all editors all non saved changes will be lost. Continue?" )) {
+		if (MessageDialog.openConfirm(HandlerUtil.getActiveShell(event), TXMUIMessages.resetTheEditors, TXMUIMessages.thisWillCloseAllEditors )) {
 			CleanPerspective.reset(event, false, true);
 		}
 		return null;
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java	(revision 3893)
@@ -146,7 +146,7 @@
 				try {
 					if (project.compute(monitor, true)) { // TODO children should be recomputed later only when the user needs it
 						
-						project.appendToHistory("Updated");
+						project.appendToHistory(TXMUIMessages.updated);
 						
 						this.syncExec(new Runnable() {
 							
